## matroskaparse matroskaparse |

## Types and Values

| GstMatroskaParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMatroskaParse

## Description

matroskaparse parsees a Matroska file into the different contained streams.

### Example launch line

    1
    gst-launch-1.0 -v filesrc location=/path/to/mkv ! matroskaparse ! vorbisdec ! audioconvert ! audioresample ! autoaudiosink

This pipeline parsees a Matroska file and outputs the contained Vorbis audio.

## Synopsis

### Element Information

plugin | matroska
author | GStreamer maintainers <gstreamer-devel@lists.freedesktop.org>
class | Codec/Parser

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-matroska
| video/x-matroska
| video/x-matroska-3d
| audio/webm
| video/webm

name | src
direction | source
presence | always
details | audio/x-matroska
| video/x-matroska
| video/x-matroska-3d
| audio/webm
| video/webm

## Functions

## Types and Values

### GstMatroskaParse

    typedef struct _GstMatroskaParse GstMatroskaParse;